Message: Re: ld: library not found for -lXm Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Feedback Re: ld: library not found for -lXm  

Forum: Installation and Configuration
Re: Question ld: library not found for -lXm (Neil Fazel)
Re: None Re: ld: library not found for -lXm (John Allison)
Date: 21 Jun, 2010
From: Neil Fazel <Neil Fazel>

>Looks like you need to remake some libraries. Stands to reason, anytime you change environment you >should recompile code that depends on it. Not just Geant4. A complete rebuild is safest, but you can >shortcut by

> cd $G4INSTALL/source/interfaces; make clean; make

> cd $G4INSTALL/source/visualization; make clean; make

>John

Thank you! It worked. (I needed to do a complete rebuild. I first tried the two builds above but it still complained about G4UIinterface missing when I tried to compile my own code.)

Thanks, Neil

PS. I supposed there is a reason for having to do a complete rebuild after a change of environment. Can't the behavior change dynamically via a getenv() call?

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: ld: library not found for -lXm   (John Allison - 21 Jun, 2010)
 Add Message Add Message
to: "Re: ld: library not found for -lXm "

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]